package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectErrorLogApi;
import com.docus.server.dto.scheduling.management.SchCollectErrorLogDTO;
import com.docus.server.service.ISchCollectErrorLogService;
import com.docus.server.vo.scheduling.management.SchCollectErrorLogVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器异常日志 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchCollectErrorLogController implements SchCollectErrorLogApi {
    @Resource
    private ISchCollectErrorLogService iSchCollectErrorLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectErrorLogVO findById(String id) {
        return iSchCollectErrorLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectErrorLogVO> search(SearchRequest searchRequest) {
        return iSchCollectErrorLogService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectErrorLogDTO schCollectErrorLogDTO) {
        return iSchCollectErrorLogService.add(schCollectErrorLogDTO);
    }

    /**
     * 编辑
     *
     * @param schCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectErrorLogDTO schCollectErrorLogDTO) {
        return iSchCollectErrorLogService.edit(schCollectErrorLogDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectErrorLogService.delete(ids);
    }
}
